changeset 469:0c7220ddf348 noffle

[svn] fixed output and return code
author godisch
date Sun, 31 Aug 2003 16:16:28 +0100
parents 84c15e2195b5
children 8257f14447aa
files debian/init
diffstat 1 files changed, 4 insertions(+), 4 deletions(-) [+]
line wrap: on
line diff
--- a/debian/init	Mon Aug 11 16:23:50 2003 +0100
+++ b/debian/init	Sun Aug 31 16:16:28 2003 +0100
@@ -1,5 +1,5 @@
 #!/bin/sh
-# $Id: init 595 2003-06-25 16:36:44Z godisch $
+# $Id: init 615 2003-08-31 15:16:28Z godisch $
 
 set -e
 
@@ -11,8 +11,9 @@
 }
 
 if [ ! -x "$NOFFLE" ]; then
-	echo "Cannot execute noffle: program not found." >&2
-	exit 5 # LSB: program is not installed
+#	echo "Cannot execute noffle: program not found." >&2
+#	exit 5 # LSB: program is not installed
+	exit 0 # Debian policy: exit quietly, see #206928
 fi
 
 if [ "$2" ]; then
@@ -62,7 +63,6 @@
 *)
 	help
 	exit 2 # LSB: invalid or excess argument(s)
-	;;
 esac
 
 exit 0